5
Views
3
Comments
[MSAL Plugin] Error Generate APP with new version
Question
Forge component by Walter Robins
2
Published on 15 Jan 2021
Application Type
Mobile

Hello, 

I'm trying to generate an app in Android, and i getting this error:


Mabs version: 6.3

Anyone else has the same issue?

Thanks in advance.

Rank: #5678

Hi Fábio,

Sorry to hear you're having issues with this plugin. Have you enabled AndroidX support in your app under your Extensibility Configurations?

{
    "preferences": {
        "android": [{
            "name": "AndroidXEnabled",
            "value": "true"
        }]
    }
}
Rank: #409

Here my extensability:


{
"plugin": {
"url": "https://github.com/wrobins/cordova-plugin-msal.git#v3.0.0-alpha.0",
"variables": [
{
"name": "TENANT_ID",
"value": "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
},
{
"name": "CLIENT_ID",
"value": "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
},
{
"name": "KEY_HASH",
"value": "S0m3K3yh4shH3re="
}
]
},
"preferences": {
"android": [{
"name": "AndroidXEnabled",
"value": "true"
}]
}
}

Rank: #5678

I looked into this further, and it seems that the Gradle version on MABS 6.3 is having trouble with one of the dependent libraries for MSAL. If you're able, try building with MABS 7 which should resolve your issue. I'll also update this plugin's documentation.

Let me know if this works for you.